<?php
// WebJaxe, Observatoire de Paris, licence GPL
// encodage : UTF-8

session_start();

require_once("include/lecture_config.php");
lire_fichier_configuration("../site_config/site_config.xml");
$_SESSION['section'] = "";
if (!isset($_SESSION['langue']) || !$_SESSION['langue'])
    $_SESSION['langue'] = "fr";
$fichierlangue = "../langues/".$_SESSION['langue'].".php";
require_once($fichierlangue);
require_once("include/outils.php");
require_once("include/tete_pied.php");
require_once("include/base_de_donnees.php");
require_once("include/utilisateurs.php");
require_once("include/verification_noms.php");
require_once("partie_administrateur/maj_bdd.php");

init_erreurs();

$message_erreur = "";
$depart = false;

if (isset($_POST['login']) and isset($_POST['motdepasse']))
{
    login_utilisateur($_POST['login']);
    password_utilisateur($_POST['motdepasse']);
    $_SESSION['section'] = "visiteur";
    $login = $_POST['login'];
    $motdepasse = md5($_POST['motdepasse']);
    
    
    $result = se_loguer($login, $motdepasse);
    if( $result == FALSE)
    {
        $message_erreur = "<p class='erreur'>".MAUVAIS_LOGIN."</p>";
    }
    else
    {
        $_SESSION['id_utilisateur'] = $result['id'];
        $_SESSION['login'] = $result['login'];
    	$_SESSION['status'] = $result['status'];
        
        $depart = true;
        
        if (!verif_bdd()) {
            if ($_SESSION['status'] == "administrateur")
                maj_bdd();
            else {
                $message_erreur = "<p class='erreur'>".MAJ_NECESSAIRE."</p>";
                $depart = false;
            }
        } else {
            $utilisateur = utilisateur($_SESSION['id_utilisateur']);
            $_SESSION['langue'] = $utilisateur['langue'];
            
            if ( $_SESSION['status'] == "administrateur" )
                header("Location: partie_administrateur/administration.php?page=accueil");
            else
                header("Location: partie_utilisateur/index.php?page=liste_contributions");
        }
    }
}

if (! $depart) {
    debut_html(CONNEXION, "", "document.formulaire.login.focus()");
    
    echo $message_erreur;
    echo '<div class="formulaire">'."\n";
    echo '<form name="formulaire" method="POST" action="index.php">'."\n";
    echo '<p>'.LOGIN.' : <input type="text" name="login" class="texte"><br>';
    echo MOT_DE_PASSE.' : <input type="password" name="motdepasse"></p>'."\n";
    echo '<p>'."\n";
    echo '<input type="reset" name="effacer" class="effacer">'."\n";
    echo '<input type="submit" name="valider" value="'.ENTRER.'" class="valider">'."\n";
    echo '</p>'."\n";
    echo '</form>'."\n";
    echo '</div>'."\n";
            
    echo '<p>'."\n";
    echo AUTEURS_SANS_IDENTIFIANT.': <a href="inscription.php">'.S_INSCRIRE.'</a>'."\n";
    echo '</p>'."\n";
    
    
    fin_html();
}

?>
